## debhelper 7.0.13ubuntu1netbook0natick1

=== debian/changelog ===
debhelper (7.0.13ubuntu1netbook0natick1) hardy; urgency=low

  * Backport debhelper 7 from intrepid

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 17 Sep 2008 19:34:39 +0000
