=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
%:
	./run dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/debhelper/news
