=== debian/changelog ===
debhelper (7.0.13ubuntu1netbook0natick2) natick; urgency=low

  * Rebuild for reprepro

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 27 Feb 2009 21:27:02 +0000
