## debhelper 7.0.15~bpo40+2

=== debian/changelog ===
debhelper (7.0.15~bpo40+2) etch-backports; urgency=low

  * Conflict against etch quilt (needed for a working dh7 patch target) 

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Sep 2008 10:11:12 +0000

debhelper (7.0.15~bpo40+1) etch-backports; urgency=low

  * Backport for Debian Etch (needs man-db backport).
  * Revert the use of features introduced by dpkg-dev packages newer than
    Debian Etch. In detail:
    - dh_makeshlibs does not support symbol files any more (re-opens #443978)
      so it doesn't support -I for including symbol files either
      (re-opens #452717),
    - dh_shlibdeps: Revert updated documentation for -L and -l for
      dpkg-shlibdeps being not so smart any more (re-opens #459226),
    - dh_shlibdeps: If a relative path is specified in -l, prepend the
      pwd to it again (changed in 6.0.0 due to changed dpkg-shlibdeps
      behaviour),
    - all in all lower Depends to version 1.13.13 of dpkg-dev
    essentially reverting partial changes from 5.0.61, 5.0.62 and 6.0.0.
  * Adding myself to uploaders for monitoring on my QA page.

 -- Micha Lenk <micha@lenk.info>  Tue, 16 Sep 2008 16:21:03 +0200

debhelper (7.0.15) unstable; urgency=low

  * dh_clean: Do not delete *-stamp files in -k mode in v7. Closes: #489918

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2008 16:16:11 -0400

debhelper (7.0.14) unstable; urgency=low

  * Load python-support sequence file first, to allow ones loaded later to
    disable it.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 08:23:32 -0400
