## debhelper 7.0.15-maemo1

=== debian/changelog ===
debhelper (7.0.15-maemo1) unstable; urgency=low

  * Maemoization

 -- Marat Radchenko <marat@slonopotamus.org>  Tue, 15 Feb 2011 23:41:21 +0300
