## debhelper 7.0.15-maemo2

=== debian/changelog ===
debhelper (7.0.15-maemo2) unstable; urgency=low

  * Dropped dependency on man-db

 -- Marat Radchenko <marat@slonopotamus.org>  Tue, 15 Feb 2011 23:53:19 +0300
