## debhelper 7.0.17ubuntu4

=== debian/changelog ===
debhelper (7.0.17ubuntu4) jaunty; urgency=low

  * dh_auto_install: add "--install-layout=deb" to setup.py install calls.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Mar 2009 16:17:31 +0100

debhelper (7.0.17ubuntu3) jaunty; urgency=low

  * dh_installmodules: Install files to /etc/modprobe.d/*.conf, and move the
    file from /etc/modprobe.d/* if it exists and is changed (otherwise
    remove before upgrade). 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 11:26:43 +0000

debhelper (7.0.17ubuntu2) jaunty; urgency=low

  * dh_installudev: Default priority is now 40 by default, and the target
    directory is now /lib/udev/rules.d.  Remove files from /etc/udev/rules.d
    unless they are user modified; if modified and of default priority,
    take care to rename.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 06 Jan 2009 18:03:34 +0000

debhelper (7.0.17ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This
      should be kept until dapper goes out of support, to avoid broken
      dapper backports.
  * Stop discarding scrollkeeper-update output; this isn't needed now that
    we use rarian-compat.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Nov 2008 21:54:56 +0000

debhelper (7.0.17) unstable; urgency=low

  [ Per Olofsson ]
  * dh_auto_install: Fix man page, was referring to dh_auto_clean.

  [ Joey Hess ]
  * dh_gencontrol: Drop the Homepage field from udebs. Closes: #492719
  * Typo. Closes: #493062
  * dh_auto_install: Improve check for MakeMaker, to avoid passing PREFIX
    if the Makefile was generated by Module::Build::Compat. Closes: #496157

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2008 22:30:12 -0400

debhelper (7.0.16) unstable; urgency=low

  * dh: Avoid passing --with on to subcommands. Closes: #490886
  * dh_installchangelogs: When searching for changelog in v7 mode, skip
    empty files. Closes: #490937

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 2008 15:34:13 -0400
