## debhelper 7.3.15ubuntu3

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper
 
-POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
+POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"
 
 # l10n to be built is determined from .po files
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
@@ -36,7 +36,7 @@
 	cat debhelper.pod | \
 		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
 		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
-	po4a man/po4a/po4a.cfg 
+	po4a -L UTF-8 man/po4a/po4a.cfg 
 	set -e; \
 	for lang in $(LANGS); do \
 		dir=man/$$lang; \
@@ -44,9 +44,11 @@
 			prog=`basename $$file | sed 's/.pod//'`; \
 			$(POD2MAN) $$file $$prog.$$lang.1; \
 		done; \
-		cat $$dir/debhelper.pod | \
-			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
-			$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
+		if [ -e $$dir/debhelper.pod ]; then \
+			cat $$dir/debhelper.pod | \
+				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
+				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
+		fi; \
 	done
 
 version:
@@ -63,13 +65,15 @@
 install:
 	install -d $(DESTDIR)/usr/bin \
 		$(DESTDIR)/usr/share/debhelper/autoscripts \
-		$(DESTDIR)$(PERLLIBDIR)/Sequence
+		$(DESTDIR)$(PERLLIBDIR)/Sequence \
+		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
 	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
 	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
 	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
 	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
+	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
-	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ } @ARGV' t/*
+	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
 	# clean up log etc
 	./run dh_clean
