=== debian/changelog ===
debhelper (7.3.15ubuntu3) karmic; urgency=low

  * dh_installinit:
    - Create the upstart-job symlink even when --upstart-only is called,
      since this simplifies implementation of...
    - --restart-after-upgrade: we can't use the upstart 'restart' command here
      because this will give wrong behavior if we're adding a new job to an
      existing package; instead just use the standard invoke-rc.d snippet,
      which (combined with the above) will at least give us compatibility
      with policy-rc.d for preventing stopped jobs from starting on upgrade.
      (N.B.: prerm scripts could also safely reuse the invoke-rc.d handling
      instead of calling 'stop' directly, but leaving this alone for now
      because the current behavior is only minorly buggy.)
    - Drop unnecessary UPSTART_ONLY check; --upstart-only should never be set
      without having an upstart job so this is redundant.
    - postinst-reboot-required is never the right snippet to include here.
    - Merge in the final changes to the upstartification as accepted into
      debhelper upstream, dropping the --onlyscripts-upstart option from
      the documentation but mapping it to --onlyscripts for compatibility in
      karmic.
  * autoscript/postinst-upstart: typo fix.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Sep 2009 13:57:14 -0700

debhelper (7.3.15ubuntu2) karmic; urgency=low

  FFE LP: #427356.

  * dh_installinit: handle upstart job files in preference over init
    scripts, supplying appropriate maintainer scripts to stop, start or
    restart the jobs over upgrades.
    - currently unlike init scripts, these accept failures because Upstart
      considers "start when already running" failure.
  * dh_installinit: --upstart-only will not include maintainer script code
    to replace an init script with an upstart job, otherwise a compatibilty
    symlink to /lib/init/upstart-job is left in its place

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:32:13 +0100

debhelper (7.3.15ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - dh_installudev: Default priority is now 40 by default.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Aug 2009 11:10:18 +0100

debhelper (7.3.15) unstable; urgency=low

  * dh_installudev: Install rules files into new location
    /lib/udev/rules.d/
  * dh_installudev: Add code to delete old conffiles unless
    they're modified, and in that case, rename them to override
    the corresponding file in /lib/udev. (Based on patch by
    Martin Pitt.) (Note that this file will not be deleted on purge -- 
    I can't see a good way to determine when it's appropriate to do
    that.)
  * dh_installudev: Set default priority to 60; dropping the "z".
    If --priority=zNN is passed, treat that as priority NN.
  * Above Closes: #491117
  * dh_installudev: Drop code handling move of /etc/udev/foo into
    /etc/udev/rules.d/.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Aug 2009 17:22:08 -0400

debhelper (7.3.14) unstable; urgency=low

  [ Colin Watson ]
  * dh: Add --list option to list available addons. Closes: #541302

  [ Joey Hess ]
  * Run pod2man with --utf8. Closes: #541270
  * dh: Display $@ error if addon load fails. Closes: #541845
  * dh_perl: Remove perl minimum dependency per new policy. Closes: #541811

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Aug 2009 15:55:48 -0400

debhelper (7.3.13) unstable; urgency=low

  [ Bernd Zeimetz ]
  * python_distutils.pm: Support debhelper backports.
    To allow backports of debhelper we don't pass
    --install-layout=deb to 'setup.py install` for those Python
    versions where the option is ignored by distutils/setuptools.
    Thanks to Julian Andres Klode for the bug report.
    Closes: #539324

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Aug 2009 20:10:57 -0400

debhelper (7.3.12) unstable; urgency=low

  * dh: Allow creation of new sequences (such as to handle a patch
    target for quilt), by adding an add_command function to the
    sequence addon interface. See #540124.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Aug 2009 11:08:53 -0400

debhelper (7.3.11) unstable; urgency=low

  * perl_build: Fix Build check to honor source directory setting.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 13:52:34 -0400

debhelper (7.3.10) unstable; urgency=low

  * perl_build: Avoid failing if forced to be used in dh_auto_clean
    when Build does not exist (ie due to being run twice in a row).
    Closes: #539848
  * dh_builddeb: Fix man page typo. Closes: #539976
  * dh_installdeb: In udeb mode, support the menutest and isinstallable
    maintainer scripts. Closes: #540079 Thanks, Colin Watson.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 11:03:01 -0400

debhelper (7.3.9) unstable; urgency=low

  * cmake: Avoid forcing rpath off as this can break some test suites.
    It gets stripped by cmake at install time. Closes: #538977

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Aug 2009 15:59:07 -0400

debhelper (7.3.8ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #404561). Remaining Ubuntu changes:
    - dh_installudev: Default priority is now 40 by default, the target
      directory is /lib/udev/rules.d, and rules use '-' as separator instead of
      '_'.  Remove files from /etc/udev/rules.d unless they are user modified;
      if modified and of default priority, take care to rename.
      This should eventually go to Debian as well, see Debian #491117.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 25 Jul 2009 17:17:24 +0300

debhelper (7.3.8) unstable; urgency=low

  * Fix t/override_target to use ./run. Closes: #538315

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Jul 2009 00:37:45 +0200

debhelper (7.3.7) unstable; urgency=low

  * First upload of buildsystems support to unstable.

