=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
+Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, po-debconf
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules
