## debhelper 7.3.15ubuntu3netbook0araneo0sendai1

=== debian/changelog ===
debhelper (7.3.15ubuntu3netbook0araneo0sendai1) sendai; urgency=low

  * Rebuild for Sendai (Jaunty)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 03 Nov 2009 18:01:04 -0500
