## debhelper 7.4.11~bpo50+1~lenny.nd1

=== debian/changelog ===
debhelper (7.4.11~bpo50+1~lenny.nd1) lenny; urgency=low

  * Backport of Debian package version 7.4.11~bpo50+1 for NeuroDebian.
    Problems with the backport should be reported to the NeuroDebian
    maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Wed, 31 Mar 2010 12:22:17 -0400

debhelper (7.4.11~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Alexander Wirt <formorer@debian.org>  Sat, 23 Jan 2010 21:37:29 +0000

debhelper (7.4.11) unstable; urgency=low

  * dh(1): Minor rewording of documentation of override commands.
    Closes: #560421
  * dh(1): Add an example of using an override target to avoid
    dh running several commands. Closes: #560600
  * dh_installman: Avoid doubled slashes in path. Closes: #561275
  * dh_installxfonts: Use new update-fonts-alias --include and
    --exclude options to better handle removal in the case where
    xfonts-utils is removed before a font package is purged.
    (#543512; thanks, Theppitak Karoonboonyanan)
  * dh: Optimise handling of noop overrides, avoiding an unnecessary
    call to make to handle them. (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Dec 2009 11:32:34 -0500

debhelper (7.4.10) unstable; urgency=low

  * Add --parallel option that can be used to enable parallel building
    without limiting the max number of parallel jobs. (Modestas Vainius)
  * dh_makeshlibs: Temporarily revert fix for #557603, as it caused
    dpkg-gensymbols to see libraries not in the regular search path and
    broke builds. This will be re-enabled in v8. Closes: #560217

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Dec 2009 15:17:19 -0500

debhelper (7.4.9) unstable; urgency=low

  * Typo. Closes: #558654
  * dh_installinit: Fix installation of defaults file when an upstart job is
    installed. Closes: #558782

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Nov 2009 14:21:10 -0500

debhelper (7.4.8) unstable; urgency=low

  * Parallel building support is no longer enabled by default. It can still
    be enabled by using the --max-parallel option. This was necessary because
    some buildds build with -j2 by default. (See #532805)
  * dh: Document --no-act. Closes: #557505
  * dh_makeshlibs: Make -X also exclude libraries from the symbols file.
    Closes: #557603 (Peter Samuelson)

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Nov 2009 13:57:10 -0500

debhelper (7.4.7) unstable; urgency=low

  * make: Avoid infinite make recursion that occurrs when testing existence
    of a target in a certian horribly broken makefile, by making the test stop
    after it sees one line of output from make. (This may be better replaced
    with dh's makefile parser in the future.) Closes: #557307

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:35:22 -0500

debhelper (7.4.6) unstable; urgency=low

  * Update --list to reflect buildsystem autoselection changes.
  * Remove last vestiages of support for /usr/X11R6.
  * cmake: Fix deep recursion in test. Closes: #557299

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:08:48 -0500

debhelper (7.4.5) unstable; urgency=low

  * ant: Fix auto-selection breakage. Closes: #557006 (Cyril Brulebois)

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Nov 2009 11:53:39 -0500

debhelper (7.4.4) unstable; urgency=low

  * The makefile buildsystem (and derived buildsystems cmake, autoconf, etc)
    now supports parallel building by default, as specified via
    DEB_BUILD_OPTIONS. Closes: #532805
  * dh_auto_*: Add --max-parallel option that can be used to control
    or disable parallel building. --max-parallel=1 will disable parallel
    building, while --max-parallel=N will limit the maximum number of
    parallel processes that can be specified via DEB_BUILD_OPTIONS.
  * Added some hacks to avoid warnings about unavailable jobservers when
    debhelper runs make, and the parent debian/rules was run in parallel
    mode (as dpkg-buildpackage -j currently does).
  * Thanks, Modestas Vainius for much of the work on parallel build support.
  * Add deprecation warnings for -u to the documentation, since putting
    options after -- is much more sane. (However, -u will not go away any
    time soon.) Closes: #554509
  * Separate deprecated programs in the list of commands in debhelper(7).
    Closes: #548382
  * Adjust code to add deprecation warning for compatibility level 4.
    (Man page already said it was deprecated.) Closes: #555899
  * dh_installdocs: Warn if a doc-base file cannot be parsed to find a
    document id. Closes: #555677
  * Typo. Closes: #555659
  * cmake: Set CTEST_OUTPUT_ON_FAILURE when running test suite.
    Closes: #555807 (Modestas Vainius)
  * autoconf: If configure fails, display config.log. Intended to make
    it easier to debug configure script failures on autobuilders.
    Closes: #556384
  * Improve build system autoselection process; this allows cmake to be
    autoselected for steps after configure, instead of falling back to
    makefile once cmake generated a makefile. Closes: #555805
    (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Nov 2009 14:44:21 -0500

debhelper (7.4.3) unstable; urgency=low

  [ Valery Perrin ]
  * update french translation. Closes: #494300, #477703
  * add --previous at po4a command into Makefile
  * add dh, dh_auto_install, dh_auto_clean, dh_auto_configure,
    dh_auto_install, dh_auto_test, dh_bugfiles, dh_icons, dh_installifupdown,
    dh_installudev, dh_lintian, dh_prep into po4a.cfg manpages list
  * fix a spelling mistake in dh_makeshlibs man french
    translation (#494300 part 2)
  
  [ Joey Hess ]
  * dh_perl: Do not look at perl scripts under /usr/share/doc.
    Closes: #546683
  * Allow dpkg-architecture to print errors to stderr. Closes: #548636
  * python_distutils: Run default python last, not first, and pass --force
    to setup.py install to ensure that timestamps do not prevent installation

