=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
 Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
