## debhelper 7.4.15ubuntu1

=== debian/changelog ===
debhelper (7.4.15ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Feb 2010 12:46:04 +0000

debhelper (7.4.15) unstable; urgency=low

  * The fix for #563557 caused some new trouble involving makefile
    that misbehave when stderr is closed. Reopen it to /dev/null
    when testing for the existance of a makefile target. Closes: #570443 

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 2010 16:37:34 -0500

debhelper (7.4.14) unstable; urgency=low

  * dh: Disable option bundling to avoid mis-parsing bundled options such
    as "-Bpython-support". Closes: #570039

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Feb 2010 14:47:10 -0500

debhelper (7.4.13ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Feb 2010 19:02:31 +0000

debhelper (7.4.13) unstable; urgency=low

  * dh_compress: Avoid compressing images in /usr/share/info. Closes: #567586
  * Fix handling of -O with options specified by commands. Closes: #568081

 -- Joey Hess <joeyh@debian.org>  Tue, 02 Feb 2010 12:15:41 -0500

debhelper (7.4.12) unstable; urgency=low

  * dh_bugfiles: Doc typo. Closes: #563269
  * makefile: Support the (asking for trouble) case of MAKE being set to
    something with a space in it. Closes: #563557
  * Fix warning about unknown options passed to commands in override targets.
  * Add -O option, which can be used to pass options to commands, ignoring
    options that they do not support.
  * dh: Use -O to pass user-specified options to the commands it runs.
    This solves the problem with passing "-Bbuild" to dh, where commands
    that do not support -B would see a bogus -u option. Closes: #541773
    (It also ensures that the commands dh prints out can really be run.)
  * qmake: New buildsystem contributed by Kel Modderman. Closes: #566840
  * Fix typo in call to abs2rel in --builddir sanitize code.
    Closes: #567737

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jan 2010 20:23:02 -0500

debhelper (7.4.11ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2010 10:44:11 +0100

debhelper (7.4.10ubuntu1) lucid; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Merge with Debian unstable (LP: #485956). Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

  [ Daniel Holbach ]
  * Port merge from 7.4.7 to 7.4.10.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 16 Dec 2009 09:01:54 +0100

debhelper (7.4.3ubuntu2) lucid; urgency=low

  * dh_installinit: Fix merge error which caused init.d-autoscripts to be
    run for upstartified packages. (LP: #470326)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Nov 2009 13:01:48 +0100

debhelper (7.4.3ubuntu1) lucid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Oct 2009 14:11:17 +0100
