## debhelper 8.0.0~bpo50+2

=== debian/changelog ===
debhelper (8.0.0~bpo50+2) lenny-backports; urgency=low

  * Add missing /usr/share/debhelper/autoscripts/post*-desktop

 -- Alexander Wirt <formorer@debian.org>  Sat, 11 Sep 2010 12:07:13 +0000

debhelper (8.0.0~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Revert the no-op change for dh_desktop

 -- Alexander Wirt <formorer@debian.org>  Thu, 09 Sep 2010 20:41:40 +0000

debhelper (8.0.0) unstable; urgency=low

  [ Carsten Hey ]
  * dh_fixperms: Ensure files in /etc/sudoers.d/ are mode 440. Closes: #589574

  [ Joey Hess ]
  * Finalized v8 mode, which is the new recommended default.

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Aug 2010 11:27:24 -0400

debhelper (7.9.3) unstable; urgency=low

  * perl_makemaker: import compat(). Closes: #587654

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jun 2010 14:42:09 -0400

debhelper (7.9.2) unstable; urgency=low

  * In v8 mode, stop passing packlist=0 in perl_makemaker buildsystem,
    since perl_build is tried first. Avoids the makemaker warning message
    introduced by the fix to #527990.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jun 2010 17:41:41 -0400

debhelper (7.9.1) unstable; urgency=low

  * Started work on Debhelper v8. It is still experimental, and more
    changes are planned for that mode.
  * dh_installman: Support .so links relative to the current section.
  * dh_installman: Avoid converting .so links to symlinks if the link
    target is not present in the same binary package, on advice of 
    Colin Watson. (To support eventual so search paths.)
  * Add deprecation warning for dh_clean -k.
  * dh_testversion: Removed this deprecated and unused command.
  * debian/compress files are now deprecated. Seems only one package
    (genesis) still uses them.
  * dh_fixperms: Tighten globs used to find library .so files,
    avoiding incorrectly matching things like "foo.sources". Closes: #583328
  * dh_installchangelogs: Support packages placing their changelog in a
    file with a name like HISTORY. Closes: #582749
  * dh_installchangelogs: Also look for changelog files in doc(s)
    subdirectories. Closes: #521258
  * In v8 mode, do not allow directly passing unknown options to debhelper
    commands. (Unknown options in DH_OPTIONS still only result in warnings.)
  * In v8 mode, dh_makeshlibs will run dpkg-gensymbols on all shared
    libraries it generates shlibs files for. This means that -X can be
    used to exclude libraries from processing by dpkg-gensymbols. It also
    means that libraries in unusual locations, where dpkg-gensymbols does
    not itself normally look, will be passed to it, a behavior change which
    may break some packages. Closes: #557603
  * In v8 mode, dh expects the sequence to run is always its first parameter.
    (Ie, use "dh $@ --foo", not "dh --foo $@")
    This avoids ambiguities when parsing options to be passed on to debhelper
    commands. (See #570039)
  * In v8 mode, prefer the perl_build buildsystem over perl_makemaker.
    Closes: #578805
  * postrm-init: Avoid calling the error handler if update-rc.d fails.
    Closes: #586065

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 2010 13:44:48 -0400

debhelper (7.4.20) unstable; urgency=low

  * Drop one more call to dpkg-architecture. Closes: #580837
    (Raphael Geissert)
  * Further reduce the number of calls to dpkg-architecture to zero,
    in a typical package with no explicit architecture mentions
    in control file or debhelper config files.
  * dh_perl: use debian_abi for XS modules. Closes: #581233

 -- Joey Hess <joeyh@debian.org>  Wed, 12 May 2010 20:06:02 -0400

debhelper (7.4.19) unstable; urgency=low

  * Memoize architecture comparisons in samearch, and avoid calling
    dpkg-architecture at all for simple comparisons that clearly
    do not involve architecture wildcards. Closes:# 579317

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 19:45:07 -0400

debhelper (7.4.18) unstable; urgency=low

  * dh_gconf: Depend on new gconf2 that uses triggers, and stop
    calling triggered programs manually. Closes: #577179

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 16:23:38 -0400

debhelper (7.4.17) unstable; urgency=low

  * Fix #572077 in one place I missed earlier. (See #576885)
  * dh: Fixed example of overriding binary target.
  * Began finalizing list of changes for v8 compat level.

 -- Joey Hess <joeyh@debian.org>  Thu, 08 Apr 2010 18:23:43 -0400

debhelper (7.4.16) unstable; urgency=low

  * Updated French translation.
  * makefile buildsystem: Chomp output during test for full compatibility
    with debhelper 7.4.11. Closes: #570503
  * dh_install: Now --list-missing and --fail-missing are useful even when
    not all packages are acted on (due to architecture limits or flags).
    Closes: #570373
  * Typo. Closes: #571968
  * If neither -a or -i are specified, debhelper commands used to default
    to acting on all packages in the control file, which was a guaranteed
    failure if the control file listed packages that did not build for the
    target architecture. After recent optimisations, this default behavior
    can efficiently be changed to the more sane default of acting on only
    packages that can be built for the current architecture. This change
    is mostly useful when using minimal rules files with dh. Closes: #572077
  * dh_md5sums: Sort to ensure stable, more diffable order. Closes: #573702
  * dh: Allow --list-addons to be used when not in a source package.
    Closes: #574351
  * dh: Improve documentation.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Apr 2010 22:06:50 -0400
