=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
