## debhelper 8.0.0~pgapt40+1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,19 @@
 		        $$file=<IN>; \
 		        close IN; \
 		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
-		                $$collect.="=item $$1(1)\n\n$$2\n\n"; \
+				my $$item="=item $$1(1)\n\n$$2\n\n"; \
+				if ($$2!~/deprecated/) { \
+			                $$list.=$$item; \
+				} \
+				else { \
+			                $$list_deprecated.=$$item; \
+				} \
 		        } \
 		} \
 		END { \
 			while (<STDIN>) { \
-		        	s/\#LIST\#/$$collect/; \
+		        	s/\#LIST\#/$$list/; \
+		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
 				print; \
 			}; \
 		}'
@@ -25,18 +32,15 @@
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper
 
-POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"
+POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
 
 # l10n to be built is determined from .po files
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
 
-build: version
+build: version debhelper.7
 	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
 		-exec $(POD2MAN) {} {}.1 \;
-	cat debhelper.pod | \
-		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
-		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
-	po4a -L UTF-8 man/po4a/po4a.cfg 
+	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
 	set -e; \
 	for lang in $(LANGS); do \
 		dir=man/$$lang; \
@@ -55,9 +59,14 @@
 	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
 		Debian/Debhelper/Dh_Version.pm
 
+debhelper.7: debhelper.pod
+	cat debhelper.pod | \
+		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
+		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
+
 clean:
 	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
-	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
+	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
 	for lang in $(LANGS); do \
 		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
 	done;
@@ -74,6 +83,7 @@
 	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
-	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
+	#./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
+	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/debian
 	# clean up log etc
 	./run dh_clean
