=== t/buildsystems/autoconf/Makefile ===
CONFIGURE := ./configure
all: stamp_configure $(CONFIGURE)
	@echo Package built > stamp_build

# Tests if dh_auto_test executes 'check' target if 'test' does not exist
check: $(CONFIGURE) stamp_build
	@echo Tested > stamp_test

install: stamp_build
	@echo DESTDIR=$(DESTDIR) > stamp_install

# Tests whether dh_auto_clean executes distclean but does not touch
# this target
clean:
	echo "This should not have been executed" >&2 && exit 1

distclean:
	@rm -f stamp_* Makefile

.PHONY: all check install clean distclean
