=== debian/changelog ===
debhelper (8.0.0~pgapt40+1) etch-pgapt; urgency=low

  * Rebuild for etch-pgapt.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Jul 2012 18:02:27 +0200
