## debhelper 8.0.0ubuntu1

=== debian/changelog ===
debhelper (8.0.0ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #614787); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.
    - add dh_apparmor and autoscripts
  * debian/rules: override build target to set executable bit for dh_apparmor
    before actually running dh build, that is in order to get the manpage
    built for dh_apparmor.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 10 Aug 2010 12:45:25 +0300

debhelper (7.4.20ubuntu6) maverick; urgency=low

  * autoscripts/postinst-apparmor: don't 'echo' to stdout. As nice as it
    looks, it doesn't play well with debconf and isn't translated. Thanks
    to dhcp3 for pointing this out.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 17:11:13 -0500

debhelper (7.4.20ubuntu5) maverick; urgency=low

  * autoscripts/postinst-apparmor:
    - tweak logic slightly to be more efficient and add some comments
    - chmod 644 the local include file
  * dh_apparmor: add note about using -p

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 12:04:08 -0500

debhelper (7.4.20ubuntu4) maverick; urgency=low

  * add dh_apparmor and autoscripts

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 08:32:41 -0500

debhelper (7.4.20ubuntu3) maverick; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Debian #412118.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 03 Aug 2010 16:36:12 -0400

debhelper (7.4.20ubuntu2) maverick; urgency=low

  * dh_installchangelogs: Do not install upstream changelog in compat level 7.
    This floods packages with huge upstream changelogs which take precious CD
    space.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 01 Aug 2010 21:07:12 +0200

debhelper (7.4.20ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #583352); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 20 May 2010 14:37:56 +0300

debhelper (7.4.19ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
  * dh_installudev: Drop conffile migration code, it was only needed until
    lucid.
  * dh_gconf: Temporarily lower generated gconf dependency to a version which
    we actually have.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 May 2010 11:22:01 +0200
